
Redmine - Defect #879

Redmine.pm does not support LDAP auth (patch attached).

2008-03-17 16:04 - Liwiusz Ociepa

Status: Closed Start date: 2008-03-17

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Redmine.pm ignores auth_source_id. It checks hashed_password even when auth_source_id is not null.

Attached diff resolves this problem (it also supports LDAP anonymous bind).

Associated revisions

Revision 1335 - 2008-04-06 19:29 - Jean-Philippe Lang

Redmine.pm support for LDAP authentication (patch by Liwiusz Ociepa). Closes #879, #918.

History

#1 - 2008-03-18 12:19 - Liwiusz Ociepa

- File Redmine.pm.diff added

- File Redmine.pm added

- Status changed from New to Resolved

- % Done changed from 0 to 100

Do not reinvent wheel. Use Authen::Simple::LDAP instead of pure NET::Ldap

#2 - 2008-03-19 10:56 - Liwiusz Ociepa

- File Redmine.pm added

- File Redmine.pm.diff added

Simplified SQL.

#3 - 2008-04-06 19:37 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Applied in changeset r1335.

Files

Redmine.pm 6.44 KB 2008-03-17 Liwiusz Ociepa

Redmine.pm.diff 2.49 KB 2008-03-17 Liwiusz Ociepa

Redmine.pm.diff 2.01 KB 2008-03-18 Liwiusz Ociepa

Redmine.pm 5.98 KB 2008-03-18 Liwiusz Ociepa

Redmine.pm 5.96 KB 2008-03-19 Liwiusz Ociepa

Redmine.pm.diff 2 KB 2008-03-19 Liwiusz Ociepa
